{% include "header.html" %}

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Scanner Management
        </h1>
    </section>

    <!-- Main content -->
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">

                    {% if action != "complete" %}
                    <div class="box-header with-border">
                        <form action="/scanners">
                            <button type="submit" class="btn btn-danger" style="float:right;">Cancel</button>
                        </form>
                    </div>
                    {% endif %}
                    {% if action == "complete" %}
                    <div class="box-header with-border">
                            <form action="/scanners">
                                <button type="submit" class="btn btn-primary" style="float:right;">Return to Scanners</button>
                            </form>
                        </div>
                    <div class="box-body"><center>
                        <!-- Display success/error message after a submission completes -->
                        <h2>{{ message }}</h2><br>
                    </center></div>
                    {% endif %}
                    

                    {% if action == "edit" %}                    
                    <div class="box-body">
                        <form action="/editScanner" method="POST" role="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="hidden" name="action" value="updateScanner">
                                    <input type="hidden" name="scanner_id" value="{{scanner['scanner_id']}}">
                                    <div class="form-group">
                                        <label>Name:</label>
                                        <input type="text" class="form-control" name="name" value="{{scanner['name']}}">
                                    </div>
                                    <div class="form-group">
                                        <label>Description:</label>
                                        <textarea class="form-control" rows="3" name="description">{{scanner['description']}}</textarea>
                                    </div>
                                    <div class="form-group">
                                        <label>Path:</label>
                                        <input type="text" class="form-control" name="path" value="{{scanner['path']}}">
                                    </div>
                                    <div class="form-group">
                                        <label>Working Directory:</label>
                                        <input type="text" class="form-control" name="working_directory" value="{{scanner['working_directory']}}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Date Added:</label>
                                        <input type="text" class="form-control" name="date_added" value="{{scanner['date_added']}}">
                                    </div>
                                </div>
                            </div> <!-- / end row -->
                            <div class="row">
                                <div class="col-md-12">
                                    <!-- <div class="box-footer"> -->
                                    <center><button type="submit" class="btn btn-block btn-success">Update</button></center>
                                    <!-- </div> -->
                                </div> <!-- / end col 12 -->
                            </div> <!-- / end row -->
                        </form> <!-- / end form -->
                    </div> <!-- /box body -->
                    {% endif %}


                    {% if action == "add" %}   
                    <div class="box-body">
                        <form action="/editScanner" method="POST" role="form">
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="hidden" name="action" value="addScanner">
                                    <div class="form-group">
                                        <label>Name:</label>
                                        <input type="text" class="form-control" name="name">
                                    </div>
                                    <div class="form-group">
                                        <label>Description:</label>
                                        <textarea class="form-control" rows="3" name="description"></textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Path:</label>
                                        <input type="text" class="form-control" name="path">
                                    </div>
                                    <div class="form-group">
                                        <label>Working Directory:</label>
                                        <input type="text" class="form-control" name="working_directory">
                                    </div>
                                </div>
                            </div> <!-- / end row -->
                            <div class="row">
                                <div class="col-md-12">
                                    <!-- <div class="box-footer"> -->
                                    <center><button type="submit" class="btn btn-block btn-success">Add Scanner</button></center>
                                    <!-- </div> -->
                                </div> <!-- / end col 12 -->
                            </div> <!-- / end row -->
                        </form> <!-- / end form -->
                    </div> <!-- /box body -->
                    {% endif %}


                    {% if action == "delete" %}                    
                    <div class="box-body">
                        <form action="/editScanner" method="POST" role="form">
                            <input type="hidden" name="action" value="deleteScanner">
                            <input type="hidden" name="scanner_id" value="{{scanner_id}}">
                            <div class="row">
                                <div class="col-md-12">
                                    <center>
                                        <h3>Are you sure you want to delete "<u>{{name}}</u>"?</h3>
                                        <button type="submit" class="btn btn-success">Yes, Delete This Scanner</button>
                                    </center>
                                </div> <!-- / end col 12 -->
                            </div> <!-- / end row -->
                        </form> <!-- / end form -->
                    </div> <!-- /box body -->
                    {% endif %}

                </div> <!-- /box  -->
            </div> <!-- /end col 12-->
        </div> <!-- /end row -->
    </section> <!-- /end content-container fluid -->
</div>
 
<script>
</script>

{% include "footer.html" %}




